Update export storage

Update a specific Redis export storage connection.

Authentication

Authorizationstring
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Path parameters

idintegerRequired

Request

This endpoint expects an object.
can_delete_objectsbooleanOptionalDefaults to false
Deletion from storage enabled.
dbintegerOptional
Database ID of database to use
descriptionstringOptional
Storage description
hoststringOptional

Server Host IP (optional)

passwordstringOptional

Server Password (optional)

pathstringOptional

Storage prefix (optional)

portstringOptional

Server Port (optional)

projectintegerOptional
Project ID
titlestringOptional<=2048 characters
Storage title

Response

created_atdatetime
Creation time
idinteger
projectinteger
A unique integer value identifying this project.
typestringDefaults to redis
can_delete_objectsboolean or null
Deletion from storage enabled
dbinteger or null0-32767
Server Database
descriptionstring or null
Cloud storage description
hoststring or null

Server Host IP (optional)

last_syncdatetime or null
Last sync finished time
last_sync_countinteger or null0-2147483647
Count of tasks synced last time
last_sync_jobstring or null<=256 characters
Last sync job ID
metaany or null
Meta and debug information about storage processes
passwordstring or null

Server Password (optional)

pathstring or null

Storage prefix (optional)

portstring or null

Server Port (optional)

regex_filterstring or null
Cloud storage regex for filtering objects
statusenum or null
* `initialized` - Initialized * `queued` - Queued * `in_progress` - In progress * `failed` - Failed * `completed` - Completed * `completed_with_errors` - Completed with errors
synchronizableboolean or nullDefaults to true
titlestring or null<=256 characters
Cloud storage title
tracebackstring or null
Traceback report for the last failed sync
use_blob_urlsboolean or null
Interpret objects as BLOBs and generate URLs